diff --git a/test_plans/loopback_virtio_user_server_mode_test_plan.rst b/test_plans/loopback_virtio_user_server_mode_test_plan.rst
index 18d580f4..810db9ea 100644
--- a/test_plans/loopback_virtio_user_server_mode_test_plan.rst
+++ b/test_plans/loopback_virtio_user_server_mode_test_plan.rst
@@ -84,35 +84,38 @@ Test Case 2:  Basic test for split ring server mode
 Test Case 3: loopback reconnect test with split ring mergeable path and server mode
 ===================================================================================
 
-1. launch vhost as client mode with 2 queues::
+1. launch vhost as client mode with 8 queues::
 
     rm -rf vhost-net*
     ./testpmd -c 0xe -n 4 --no-pci --file-prefix=vhost \
-    --vdev 'eth_vhost0,iface=vhost-net,client=1,queues=2' -- -i --nb-cores=2 --rxq=2 --txq=2
+    --vdev 'eth_vhost0,iface=vhost-net,client=1,queues=8' -- -i --nb-cores=2 --rxq=8 --txq=8
     >set fwd mac
     >start
 
-2. Launch virtio-user as server mode with 2 queues::
+2. Launch virtio-user as server mode with 8 queues and check throughput can get expected::
 
     ./testpmd -n 4 -l 5-7 --no-pci --file-prefix=virtio \
-    --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net,server=1,queues=2,mrg_rxbuf=1,in_order=0 \
-    -- -i --tx-offloads=0x0 --enable-hw-vlan-strip --rss-ip --nb-cores=2 --rxq=2 --txq=2
+    --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net,server=1,queues=8,mrg_rxbuf=1,in_order=0 \
+    -- -i --tx-offloads=0x0 --enable-hw-vlan-strip --rss-ip --nb-cores=2 --rxq=8 --txq=8
     >set fwd mac
+    >set txpkts 2000,2000,2000,2000
     >start tx_first 32
+    >show port stats all
 
 3. Quit vhost side testpmd, check the virtio-user side link status::
 
     testpmd> show port info 0
     #it should show "down"
 
-4. Relaunch vhost and send packets::
+4. Relaunch vhost and send chain packets::
 
     ./testpmd -c 0xe -n 4 --no-pci --file-prefix=vhost \
-    --vdev 'eth_vhost0,iface=vhost-net,client=1,queues=2' -- -i --nb-cores=2 --rxq=2 --txq=2
+    --vdev 'eth_vhost0,iface=vhost-net,client=1,queues=8' -- -i --nb-cores=2 --rxq=8 --txq=8
     >set fwd mac
+    >set txpkts 2000,2000,2000,2000
     >start tx_first 32
 
-5. Check the virtio-user side link status and run below command to get throughput,verify the loopback throughput is not zero::
+5. Check the virtio-user side link status and run below command to get throughput, check throughput can get expected::
 
     testpmd> show port info 0
     #it should show up"
@@ -130,22 +133,24 @@ Test Case 3: loopback reconnect test with split ring mergeable path and server m
 8. Relaunch virtio-user and send packets::
 
     ./testpmd -n 4 -l 5-7 --no-pci --file-prefix=virtio \
-    --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net,server=1,queues=2,mrg_rxbuf=1,in_order=0 \
-    -- -i --tx-offloads=0x0 --enable-hw-vlan-strip --rss-ip --nb-cores=2 --rxq=2 --txq=2
+    --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net,server=1,queues=8,mrg_rxbuf=1,in_order=0 \
+    -- -i --tx-offloads=0x0 --enable-hw-vlan-strip --rss-ip --nb-cores=2 --rxq=8 --txq=8
     >set fwd mac
+    >set txpkts 2000,2000,2000,2000
     >start tx_first 32
 
-9. Check the vhost side link status and run below command to get throughput, verify the loopback throughput is not zero::
+9. Check the vhost side link status and run below command to get throughput, check throughput can get expected::
 
     testpmd> show port info 0
     #it should show up"
     testpmd>show port stats all
 
-10. Port restart at vhost side by below command and re-calculate the average throughput::
+10. Port restart at vhost side by below command and check throughput can get expected::
 
       testpmd>stop
       testpmd>port stop 0
       testpmd>port start 0
+      testpmd>set txpkts 2000,2000,2000,2000
       testpmd>start tx_first 32
       testpmd>show port stats all
 
@@ -164,13 +169,15 @@ Test Case 4: loopback reconnect test with split ring inorder mergeable path and
     >set fwd mac
     >start
 
-2. Launch virtio-user as server mode with 2 queues::
+2. Launch virtio-user as server mode with 2 queues, check throughput can get expected::
 
     ./testpmd -n 4 -l 5-7 --no-pci --file-prefix=virtio \
     --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net,server=1,queues=2,mrg_rxbuf=1,in_order=1 \
     -- -i --tx-offloads=0x0 --enable-hw-vlan-strip --rss-ip --nb-cores=2 --rxq=2 --txq=2
     >set fwd mac
+    >set txpkts 2000,2000,2000,2000
     >start tx_first 32
+    >show port stats all
 
 3. Quit vhost side testpmd, check the virtio-user side link status::
 
@@ -182,9 +189,10 @@ Test Case 4: loopback reconnect test with split ring inorder mergeable path and
     ./testpmd -c 0xe -n 4 --no-pci --file-prefix=vhost \
     --vdev 'eth_vhost0,iface=vhost-net,client=1,queues=2' -- -i --nb-cores=2 --rxq=2 --txq=2
     >set fwd mac
+    >set txpkts 2000,2000,2000,2000
     >start tx_first 32
 
-5. Check the virtio-user side link status and run below command to get throughput,verify the loopback throughput is not zero::
+5. Check the virtio-user side link status and run below command to get throughput, check throughput can get expected::
 
     testpmd> show port info 0
     #it should show up"
@@ -205,19 +213,21 @@ Test Case 4: loopback reconnect test with split ring inorder mergeable path and
     --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net,server=1,queues=2,mrg_rxbuf=1,in_order=1\
     -- -i --tx-offloads=0x0 --enable-hw-vlan-strip --rss-ip --nb-cores=2 --rxq=2 --txq=2
     >set fwd mac
+    >set txpkts 2000,2000,2000,2000
     >start tx_first 32
 
-9. Check the vhost side link status and run below command to get throughput, verify the loopback throughput is not zero::
+9. Check the vhost side link status and run below command to get throughput, check throughput can get expected::
 
     testpmd> show port info 0
     #it should show up"
     testpmd>show port stats all
 
-10. Port restart at vhost side by below command and re-calculate the average throughput::
+10. Port restart at vhost side by below command and check throughput can get expected::
 
       testpmd>stop
       testpmd>port stop 0
       testpmd>port start 0
+      testpmd>set txpkts 2000,2000,2000,2000
       testpmd>start tx_first 32
       testpmd>show port stats all
 
@@ -236,13 +246,14 @@ Test Case 5: loopback reconnect test with split ring inorder non-mergeable path
     >set fwd mac
     >start
 
-2. Launch virtio-user as server mode with 2 queues::
+2. Launch virtio-user as server mode with 2 queues check throughput can get expected::
 
     ./testpmd -n 4 -l 5-7 --no-pci --file-prefix=virtio \
     --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net,server=1,queues=2,mrg_rxbuf=0,in_order=1 \
     -- -i --tx-offloads=0x0 --enable-hw-vlan-strip --rss-ip --nb-cores=2 --rxq=2 --txq=2
     >set fwd mac
     >start tx_first 32
+    >show port stats all
 
 3. Quit vhost side testpmd, check the virtio-user side link status::
 
@@ -256,7 +267,7 @@ Test Case 5: loopback reconnect test with split ring inorder non-mergeable path
     >set fwd mac
     >start tx_first 32
 
-5. Check the virtio-user side link status and run below command to get throughput,verify the loopback throughput is not zero::
+5. Check the virtio-user side link status and run below command to get throughput, check throughput can get expected::
 
     testpmd> show port info 0
     #it should show up"
@@ -279,13 +290,13 @@ Test Case 5: loopback reconnect test with split ring inorder non-mergeable path
     >set fwd mac
     >start tx_first 32
 
-9. Check the vhost side link status and run below command to get throughput, verify the loopback throughput is not zero::
+9. Check the vhost side link status and run below command to get throughput, check throughput can get expected::
 
     testpmd> show port info 0
     #it should show up"
     testpmd>show port stats all
 
-10. Port restart at vhost side by below command and re-calculate the average throughput::
+10. Port restart at vhost side by below command and check throughput can get expected::
 
       testpmd>stop
       testpmd>port stop 0
@@ -308,13 +319,14 @@ Test Case 6: loopback reconnect test with split ring non-mergeable path and serv
     >set fwd mac
     >start
 
-2. Launch virtio-user as server mode with 2 queues::
+2. Launch virtio-user as server mode with 2 queues and check throughput can get expected::
 
     ./testpmd -n 4 -l 5-7 --no-pci --file-prefix=virtio \
     --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net,server=1,queues=2,mrg_rxbuf=0,in_order=0,vectorized=1 \
     -- -i --tx-offloads=0x0 --enable-hw-vlan-strip --rss-ip --nb-cores=2 --rxq=2 --txq=2
     >set fwd mac
     >start tx_first 32
+    >show port stats all
 
 3. Quit vhost side testpmd, check the virtio-user side link status::
 
@@ -328,7 +340,7 @@ Test Case 6: loopback reconnect test with split ring non-mergeable path and serv
     >set fwd mac
     >start tx_first 32
 
-5. Check the virtio-user side link status and run below command to get throughput,verify the loopback throughput is not zero::
+5. Check the virtio-user side link status and run below command to get throughput, check throughput can get expected::
 
     testpmd> show port info 0
     #it should show up"
@@ -351,13 +363,13 @@ Test Case 6: loopback reconnect test with split ring non-mergeable path and serv
     >set fwd mac
     >start tx_first 32
 
-9. Check the vhost side link status and run below command to get throughput, verify the loopback throughput is not zero::
+9. Check the vhost side link status and run below command to get throughput, check throughput can get expected::
 
     testpmd> show port info 0
     #it should show up"
     testpmd>show port stats all
 
-10. Port restart at vhost side by below command and re-calculate the average throughput::
+10. Port restart at vhost side by below command and check throughput can get expected::
 
       testpmd>stop
       testpmd>port stop 0
@@ -380,13 +392,14 @@ Test Case 7: loopback reconnect test with split ring vector_rx path and server m
     >set fwd mac
     >start
 
-2. Launch virtio-user as server mode with 2 queues::
+2. Launch virtio-user as server mode with 2 queues and check throughput can get expected::
 
     ./testpmd -n 4 -l 5-7 --no-pci --file-prefix=virtio \
     --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net,server=1,queues=2,mrg_rxbuf=0,in_order=0,vectorized=1 \
     -- -i --nb-cores=2 --rxq=2 --txq=2
     >set fwd mac
     >start tx_first 32
+    >show port stats all
 
 3. Quit vhost side testpmd, check the virtio-user side link status::
 
@@ -400,7 +413,7 @@ Test Case 7: loopback reconnect test with split ring vector_rx path and server m
     >set fwd mac
     >start tx_first 32
 
-5. Check the virtio-user side link status and run below command to get throughput,verify the loopback throughput is not zero::
+5. Check the virtio-user side link status and run below command to get throughput, check throughput can get expected::
 
     testpmd> show port info 0
     #it should show up"
@@ -423,13 +436,13 @@ Test Case 7: loopback reconnect test with split ring vector_rx path and server m
     >set fwd mac
     >start tx_first 32
 
-9. Check the vhost side link status and run below command to get throughput, verify the loopback throughput is not zero::
+9. Check the vhost side link status and run below command to get throughput, check throughput can get expected::
 
     testpmd> show port info 0
     #it should show up"
     testpmd>show port stats all
 
-10. Port restart at vhost side by below command and re-calculate the average throughput::
+10. Port restart at vhost side by below command and check throughput can get expected::
 
       testpmd>stop
       testpmd>port stop 0
@@ -452,13 +465,15 @@ Test Case 8: loopback reconnect test with packed ring mergeable path and server
     >set fwd mac
     >start
 
-2. Launch virtio-user as server mode with 2 queues::
+2. Launch virtio-user as server mode with 2 queues and check throughput can get expected::
 
     ./testpmd -n 4 -l 5-7 --no-pci --file-prefix=virtio \
     --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net,server=1,queues=2,packed_vq=1,mrg_rxbuf=1,in_order=0 \
     -- -i --tx-offloads=0x0 --enable-hw-vlan-strip --rss-ip --nb-cores=2 --rxq=2 --txq=2
     >set fwd mac
+    >set txpkts 2000,2000,2000,2000
     >start tx_first 32
+    >show port stats all
 
 3. Quit vhost side testpmd, check the virtio-user side link status::
 
@@ -470,9 +485,10 @@ Test Case 8: loopback reconnect test with packed ring mergeable path and server
     ./testpmd -c 0xe -n 4 --no-pci --file-prefix=vhost \
     --vdev 'eth_vhost0,iface=vhost-net,client=1,queues=2' -- -i --nb-cores=2 --rxq=2 --txq=2
     >set fwd mac
+    >set txpkts 2000,2000,2000,2000
     >start tx_first 32
 
-5. Check the virtio-user side link status and run below command to get throughput,verify the loopback throughput is not zero::
+5. Check the virtio-user side link status and run below command to get throughput, check throughput can get expected::
 
     testpmd> show port info 0
     #it should show up"
@@ -493,19 +509,21 @@ Test Case 8: loopback reconnect test with packed ring mergeable path and server
     --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net,server=1,queues=2,packed_vq=1,mrg_rxbuf=1,in_order=0 \
     -- -i --tx-offloads=0x0 --enable-hw-vlan-strip --rss-ip --nb-cores=2 --rxq=2 --txq=2
     >set fwd mac
+    >set txpkts 2000,2000,2000,2000
     >start tx_first 32
 
-9. Check the vhost side link status and run below command to get throughput, verify the loopback throughput is not zero::
+9. Check the vhost side link status and run below command to get throughput, check throughput can get expected::
 
     testpmd> show port info 0
     #it should show up"
     testpmd>show port stats all
 
-10. Port restart at vhost side by below command and re-calculate the average throughput::
+10. Port restart at vhost side by below command and check throughput can get expected::
 
      testpmd>stop
      testpmd>port stop 0
      testpmd>port start 0
+     testpmd>set txpkts 2000,2000,2000,2000
      testpmd>start tx_first 32
      testpmd>show port stats all
 
@@ -524,13 +542,14 @@ Test Case 9: loopback reconnect test with packed ring non-mergeable path and ser
     >set fwd mac
     >start
 
-2. Launch virtio-user as server mode with 2 queues::
+2. Launch virtio-user as server mode with 2 queues and check throughput can get expected::
 
     ./testpmd -n 4 -l 5-7 --no-pci --file-prefix=virtio \
     --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net,server=1,queues=2,packed_vq=1,mrg_rxbuf=0,in_order=0 \
     -- -i --tx-offloads=0x0 --enable-hw-vlan-strip --rss-ip --nb-cores=2 --rxq=2 --txq=2
     >set fwd mac
     >start tx_first 32
+    >show port stats all
 
 3. Quit vhost side testpmd, check the virtio-user side link status::
 
@@ -544,7 +563,7 @@ Test Case 9: loopback reconnect test with packed ring non-mergeable path and ser
     >set fwd mac
     >start tx_first 32
 
-5. Check the virtio-user side link status and run below command to get throughput,verify the loopback throughput is not zero::
+5. Check the virtio-user side link status and run below command to get throughput, check throughput can get expected::
 
     testpmd> show port info 0
     #it should show up"
@@ -567,13 +586,13 @@ Test Case 9: loopback reconnect test with packed ring non-mergeable path and ser
     >set fwd mac
     >start tx_first 32
 
-9. Check the vhost side link status and run below command to get throughput, verify the loopback throughput is not zero::
+9. Check the vhost side link status and run below command to get throughput, check throughput can get expected::
 
     testpmd> show port info 0
     #it should show up"
     testpmd>show port stats all
 
-10. Port restart at vhost side by below command and re-calculate the average throughput::
+10. Port restart at vhost side by below command and check throughput can get expected::
 
      testpmd>stop
      testpmd>port stop 0
@@ -588,21 +607,23 @@ Test Case 9: loopback reconnect test with packed ring non-mergeable path and ser
 Test Case 10: loopback reconnect test with packed ring inorder mergeable path and server mode
 =============================================================================================
 
-1. launch vhost as client mode with 2 queues::
+1. launch vhost as client mode with 8 queues::
 
     rm -rf vhost-net*
     ./testpmd -c 0xe -n 4 --no-pci --file-prefix=vhost \
-    --vdev 'eth_vhost0,iface=vhost-net,client=1,queues=2' -- -i --nb-cores=2 --rxq=2 --txq=2
+    --vdev 'eth_vhost0,iface=vhost-net,client=1,queues=8' -- -i --nb-cores=2 --rxq=8 --txq=8
     >set fwd mac
     >start
 
-2. Launch virtio-user as server mode with 2 queues::
+2. Launch virtio-user as server mode with 8 queues and check throughput can get expected::
 
     ./testpmd -n 4 -l 5-7 --no-pci --file-prefix=virtio \
-    --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net,server=1,queues=2,packed_vq=1,mrg_rxbuf=1,in_order=1 \
-    -- -i --tx-offloads=0x0 --enable-hw-vlan-strip --rss-ip --nb-cores=2 --rxq=2 --txq=2
+    --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net,server=1,queues=8,packed_vq=1,mrg_rxbuf=1,in_order=1 \
+    -- -i --tx-offloads=0x0 --enable-hw-vlan-strip --rss-ip --nb-cores=2 --rxq=8 --txq=8
     >set fwd mac
+    >set txpkts 2000,2000,2000,2000
     >start tx_first 32
+    >show port stats all
 
 3. Quit vhost side testpmd, check the virtio-user side link status::
 
@@ -612,11 +633,12 @@ Test Case 10: loopback reconnect test with packed ring inorder mergeable path an
 4. Relaunch vhost and send packets::
 
     ./testpmd -c 0xe -n 4 --no-pci --file-prefix=vhost \
-    --vdev 'eth_vhost0,iface=vhost-net,client=1,queues=2' -- -i --nb-cores=2 --rxq=2 --txq=2
+    --vdev 'eth_vhost0,iface=vhost-net,client=1,queues=8' -- -i --nb-cores=2 --rxq=8 --txq=8
     >set fwd mac
+    >set txpkts 2000,2000,2000,2000
     >start tx_first 32
 
-5. Check the virtio-user side link status and run below command to get throughput,verify the loopback throughput is not zero::
+5. Check the virtio-user side link status and run below command to get throughput, check throughput can get expected::
 
     testpmd> show port info 0
     #it should show up"
@@ -634,22 +656,24 @@ Test Case 10: loopback reconnect test with packed ring inorder mergeable path an
 8. Relaunch virtio-user and send packets::
 
     ./testpmd -n 4 -l 5-7 --no-pci --file-prefix=virtio \
-    --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net,server=1,queues=2,packed_vq=1,mrg_rxbuf=1,in_order=1 \
-    -- -i --tx-offloads=0x0 --enable-hw-vlan-strip --rss-ip --nb-cores=2 --rxq=2 --txq=2
+    --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net,server=1,queues=8,packed_vq=1,mrg_rxbuf=1,in_order=1 \
+    -- -i --tx-offloads=0x0 --enable-hw-vlan-strip --rss-ip --nb-cores=2 --rxq=8 --txq=8
     >set fwd mac
+    >set txpkts 2000,2000,2000,2000
     >start tx_first 32
 
-9. Check the vhost side link status and run below command to get throughput, verify the loopback throughput is not zero::
+9. Check the vhost side link status and run below command to get throughput, check throughput can get expected::
 
     testpmd> show port info 0
     #it should show up"
     testpmd>show port stats all
 
-10. Port restart at vhost side by below command and re-calculate the average throughput::
+10. Port restart at vhost side by below command and check throughput can get expected::
 
      testpmd>stop
      testpmd>port stop 0
      testpmd>port start 0
+     testpmd>set txpkts 2000,2000,2000,2000
      testpmd>start tx_first 32
      testpmd>show port stats all
 
@@ -668,13 +692,14 @@ Test Case 11: loopback reconnect test with packed ring inorder non-mergeable pat
     >set fwd mac
     >start
 
-2. Launch virtio-user as server mode with 2 queues::
+2. Launch virtio-user as server mode with 2 queues and check throughput can get expected::
 
     ./testpmd -n 4 -l 5-7 --no-pci --file-prefix=virtio \
     --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net,server=1,queues=2,packed_vq=1,mrg_rxbuf=0,in_order=1,vectorized=1 \
     -- -i --rx-offloads=0x10 --enable-hw-vlan-strip --rss-ip --nb-cores=2 --rxq=2 --txq=2
     >set fwd mac
     >start tx_first 32
+    >show port stats all
 
 3. Quit vhost side testpmd, check the virtio-user side link status::
 
@@ -688,7 +713,7 @@ Test Case 11: loopback reconnect test with packed ring inorder non-mergeable pat
     >set fwd mac
     >start tx_first 32
 
-5. Check the virtio-user side link status and run below command to get throughput,verify the loopback throughput is not zero::
+5. Check the virtio-user side link status and run below command to get throughput, check throughput can get expected::
 
     testpmd> show port info 0
     #it should show up"
@@ -711,13 +736,13 @@ Test Case 11: loopback reconnect test with packed ring inorder non-mergeable pat
     >set fwd mac
     >start tx_first 32
 
-9. Check the vhost side link status and run below command to get throughput, verify the loopback throughput is not zero::
+9. Check the vhost side link status and run below command to get throughput, check throughput can get expected::
 
     testpmd> show port info 0
     #it should show up"
     testpmd>show port stats all
 
-10. Port restart at vhost side by below command and re-calculate the average throughput::
+10. Port restart at vhost side by below command and check throughput can get expected::
 
      testpmd>stop
      testpmd>port stop 0
@@ -740,13 +765,14 @@ Test Case 12: loopback reconnect test with packed ring vectorized path and serve
     >set fwd mac
     >start
 
-2. Launch virtio-user as server mode with 2 queues::
+2. Launch virtio-user as server mode with 2 queues and check throughput can get expected::
 
     ./testpmd -n 4 -l 5-7 --log-level=pmd.net.virtio.driver,8 --no-pci --file-prefix=virtio --force-max-simd-bitwidth=512 \
     --vdev=net_virtio_user0,mac=00:01:02:03:04:05,path=./vhost-net,server=1,queues=2,packed_vq=1,mrg_rxbuf=0,in_order=1,vectorized=1 \
     -- -i --tx-offloads=0x0 --enable-hw-vlan-strip --rss-ip --nb-cores=2 --rxq=2 --txq=2
     >set fwd mac
     >start tx_first 32
+    >show port stats all
 
 3. Quit vhost side testpmd, check the virtio-user side link status::
 
@@ -760,7 +786,7 @@ Test Case 12: loopback reconnect test with packed ring vectorized path and serve
     >set fwd mac
     >start tx_first 32
 
-5. Check the virtio-user side link status and run below command to get throughput,verify the loopback throughput is not zero::
+5. Check the virtio-user side link status and run below command to get throughput, check throughput can get expected::
 
     testpmd> show port info 0
     #it should show up"
@@ -783,13 +809,13 @@ Test Case 12: loopback reconnect test with packed ring vectorized path and serve
     >set fwd mac
     >start tx_first 32
 
-9. Check the vhost side link status and run below command to get throughput, verify the loopback throughput is not zero::
+9. Check the vhost side link status and run below command to get throughput, check throughput can get expected::
 
     testpmd> show port info 0
     #it should show up"
     testpmd>show port stats all
 
-10. Port restart at vhost side by below command and re-calculate the average throughput::
+10. Port restart at vhost side by below command and check throughput can get expected::
 
      testpmd>stop
      testpmd>port stop 0
@@ -800,3 +826,109 @@ Test Case 12: loopback reconnect test with packed ring vectorized path and serve
 11. Check each RX/TX queue has packets::
 
      testpmd>stop
+
+Test Case 13: loopback packed ring and split ring mergeable path payload check test using server mode and multi-queues
+======================================================================================================================
+
+1. launch vhost::
+
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 32-33 --no-pci --file-prefix=vhost -n 4 --vdev 'eth_vhost0,iface=vhost-net0,queues=8,client=1' -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+
+2. Launch virtio-user with packed ring mergeable inorder path::
+
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio --no-pci --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=1,packed_vq=1,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+     testpmd> set fwd csum
+     testpmd> start
+
+3. Attach pdump secondary process to primary process by same file-prefix::
+
+   ./x86_64-native-linuxapp-gcc/app/dpdk-pdump -v --file-prefix=virtio -- --pdump 'device_id=net_virtio_user0,queue=*,rx-dev=./pdump-virtio-rx.pcap,mbuf-size=8000'
+
+4. Send large pkts from vhost::
+
+   testpmd> set fwd csum
+   testpmd> set txpkts 2000,2000,2000,2000
+   testpmd> set burst 1
+   testpmd> start tx_first 1
+   testpmd> stop
+
+5. Quit pdump, chcek all the packets length are 8000 Byte in the pcap file, and the payload in receive packets are same.
+
+6. Quit and relaunch vhost and rerun step3-5.
+
+7. Quit and relaunch virtio with packed ring mergeable path as below::
+
+   ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=0,packed_vq=1,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+   testpmd> set fwd csum
+   testpmd> start
+
+8. Rerun step3-6.
+
+9. Quit and relaunch virtio with split ring mergeable inorder path as below::
+
+   ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=1,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+   testpmd> set fwd csum
+   testpmd> start
+
+10. Rerun step3-6.
+
+11. Quit and relaunch virtio with split ring mergeable path as below::
+
+   ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=0,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+   testpmd> set fwd csum
+   testpmd> start
+
+12. Rerun step3-6.
+
+Test Case 14: loopback packed ring and split ring mergeable path cbdma test payload check with server mode and multi-queues
+===========================================================================================================================
+
+1. bind 8 cbdma port to vfio-pci and launch vhost::
+
+   ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 32-33 -n 4 --vdev 'eth_vhost0,iface=vhost-net0,queues=8,client=1,dmas=[txq0@0000:80:04.0;txq1@0000:80:04.1;txq2@0000:80:04.2;txq3@0000:80:04.3;txq4@0000:80:04.4;txq5@0000:80:04.5;txq6@0000:80:04.6;txq7@0000:80:04.7]' -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+
+2. Launch virtio-user with packed ring mergeable inorder path::
+
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=1,packed_vq=1,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+   testpmd> set fwd csum
+   testpmd> start
+
+3. Attach pdump secondary process to primary process by same file-prefix::
+
+./x86_64-native-linuxapp-gcc/app/dpdk-pdump -v --file-prefix=virtio-user0 -- --pdump 'device_id=net_virtio_user0,queue=*,rx-dev=./pdump-virtio-rx.pcap,mbuf-size=8000'
+
+4. Send large pkts from vhost, check loopback performance can get expected and each queue can receive packets::
+
+   testpmd> vhost enable tx all
+   testpmd> set fwd csum
+   testpmd> set txpkts 64,64,64,2000,2000,2000
+   testpmd> start tx_first 32
+   testpmd> stop
+
+5. Quit pdump, chcek all the packets length are 6192 Byte in the pcap file, and the payload in receive packets are same.
+
+6. Quit and relaunch vhost and rerun step3-5.
+
+7. Quit and relaunch virtio with packed ring mergeable path as below::
+
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=testpmd0 --no-pci --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=0,packed_vq=1,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+    testpmd> set fwd csum
+    testpmd> start
+
+8. Rerun step3-6.
+
+9. Quit and relaunch virtio with split ring mergeable inorder path as below::
+
+   ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=testpmd0 --no-pci --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=1,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+    testpmd> set fwd csum
+    testpmd> start
+
+10. Rerun step3-6.
+
+11. Quit and relaunch virtio with split ring mergeable path as below::
+
+   ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=testpmd0 --no-pci --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=0,server=1 -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
+   testpmd> set fwd csum
+   testpmd> start
+
+12. Rerun step3-6.