diff --git a/test_plans/cvl_advanced_rss_checksum_test_plan.rst b/test_plans/cvl_advanced_rss_checksum_test_plan.rst
new file mode 100644
index 00000000..4a567d21
--- /dev/null
+++ b/test_plans/cvl_advanced_rss_checksum_test_plan.rst
@@ -0,0 +1,519 @@
+.. Copyright (c) <2021>, Intel Corporation
+         All rights reserved.
+
+   Redistribution and use in source and binary forms, with or without
+   modification, are permitted provided that the following conditions
+   are met:
+
+   - Redistributions of source code must retain the above copyright
+     notice, this list of conditions and the following disclaimer.
+
+   - Redistributions in binary form must reproduce the above copyright
+     notice, this list of conditions and the following disclaimer in
+     the documentation and/or other materials provided with the
+     distribution.
+
+   - Neither the name of Intel Corporation nor the names of its
+     contributors may be used to endorse or promote products derived
+     from this software without specific prior written permission.
+
+   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+   "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+   LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
+   FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+   COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
+   INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+   (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+   SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+   HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
+   STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+   ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
+   OF THE POSSIBILITY OF SUCH DAMAGE.
+
+=============================================
+CVL: CVL enable RSS with checksum as inputset
+=============================================
+
+Description
+===========
+
+Enable CVL PF/IAVF RSS with checksum as inputset.
+1. distribute ipv4 packet into queues based on the hash value of checksum.
+2. distribute tcp / udp packet into queues based on hash value of l4 checksum.
+
+Pattern and input set
+---------------------
+.. table::
+
+    +-------------------------------+---------------------------+------------------------+
+    | Default hash function: Non Symmetric_toeplitz                                      |
+    +-------------------------------+---------------------------+------------------------+
+    | Packet Type                   | Pattern                   | Input Set              |
+    +===============================+===========================+========================+
+    | IPv4/IPv6 + TCP/UDP/SCTP      | MAC_IPV4                  | ipv4-chksum            |
+    +-------------------------------+---------------------------+------------------------+
+    |                               | MAC_IPV4_UDP              | ipv4-chksum, l4-chksum |
+    +-------------------------------+---------------------------+------------------------+
+    |                               | MAC_IPV4_TCP              | ipv4-chksum, l4-chksum |
+    +-------------------------------+---------------------------+------------------------+
+    |                               | MAC_IPV4_SCTP             | ipv4-chksum, l4-chksum |
+    +-------------------------------+---------------------------+------------------------+
+    |                               | MAC_IPV6_UDP              | l4-chksum              |
+    +-------------------------------+---------------------------+------------------------+
+    |                               | MAC_IPV6_TCP              | l4-chksum              |
+    +-------------------------------+---------------------------+------------------------+
+    |                               | MAC_IPV6_SCTP             | l4-chksum              |
+    +-------------------------------+---------------------------+------------------------+
+
+
+Prerequisites
+=============
+
+1. Hardware:
+
+   - Intel E810 series ethernet cards: columbiaville_25g/columbiaville_100g/
+
+2. Software:
+
+   - dpdk: http://dpdk.org/git/dpdk
+   - scapy: http://www.secdev.org/projects/scapy/
+
+.. note::
+
+   This rss feature designed for CVL NIC 25G and 100g, so below the case only support CVL nic.
+
+3. For PF, bind the CVL port to dpdk driver in DUT::
+
+    modprobe vfio-pci
+    ./usertools/dpdk-devbind.py --force --bind=vfio-pci 0000:3b:00.0
+
+4. For VF::
+
+    echo 1 > /sys/bus/pci/devices/0000\:3b\:00.0/sriov_numvfs
+    ip link set enp59s0f0 vf 0 mac 00:11:22:33:44:55
+    ./usertools/dpdk-devbind.py --force --bind=vfio-pci 0000:3b:01.0
+
+.. note::
+
+   The kernel must be >= 3.6+ and VT-d must be enabled in bios.
+
+4. Launch the testpmd to configuration queue of rx and tx number 16 in DUT::
+
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c f -n 6 -- -i --rxq=16 --txq=16 --disable-rss --rxd=384 --txd=384
+    testpmd> set fwd rxonly
+    testpmd> set verbose 1
+    testpmd> start
+
+Default parameters
+------------------
+
+   MAC::
+
+    [Dest MAC]: 00:11:22:33:44:55
+    [Src MAC]: 52:00:00:00:00:00
+
+   IPv4::
+
+    [Dest IP]: 192.168.0.2
+    [Source IP]: 192.168.0.1
+
+   IPv6::
+
+    [Source IPv6]: ABAB:910A:2222:5498:8475:1111:3900:1010
+    [Dest IPv6]: CDCD:910A:2222:5498:8475:1111:3900:2020
+
+   UDP/TCP/SCTP::
+
+    [Source Port]: 22
+    [Dest Port]: 23
+
+
+Common Test steps
+=================
+all the test cases run the same test steps as below:
+
+1. validate rule.
+2. create rule and list rule.
+3. send a basic hit pattern packet,record the hash value,
+   check the packet is distributed to queues by RSS.
+4. send hit pattern packet with changed input set in the rule.
+   check the received packet have different hash value with basic packet.
+   check the packet is distributed to queues by rss.
+5. send hit pattern packet with changed input set not in the rule.
+   check the received packet have same hash value with the basic packet.
+   check the packet is distributed to queues by rss.
+   note: if there is not this type packet in the case, omit this step.
+6. send not hit pattern packets with input set in the rule.
+   check the received packets have not hash value, and distributed to queue 0.
+   note: if there is not this type packet in the case, omit this step.
+7. distroy the rule and list rule.
+8. send same packet with step 3.
+   check the received packets have not hash value, and distributed to queue 0.
+
+Test case 1: MAC_IPV4_IPV4_CHKSUM
+=================================
+1. create rss rule::
+
+    flow create 0 ingress pattern eth / ipv4 / end actions rss types ipv4-chksum  end queues end / end
+
+2. basic hit pattern packet::
+
+    p1=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP(src="192.168.0.1",dst="192.168.0.2",chksum=0x1)/ ("X"*48)
+
+3. hit pattern/changed defined input set::
+
+    p2=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP(src="192.168.0.1",dst="192.168.0.2",chksum=0xffff)/ ("X"*48)
+
+4. hit pattern/changed not defined input set::
+
+    p3=Ether(dst="00:11:22:33:44:53", src="52:00:00:00:00:01")/IP(src="192.168.1.1",dst="192.168.1.2",chksum=0x1)/ ("X"*48)
+
+   if VF, don't change dst mac address::
+
+    p3=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:01")/IP(src="192.168.1.1",dst="192.168.1.2",chksum=0x1)/ ("X"*48)
+
+5. not hit pattern::
+
+    p4=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IPv6(dst="CDCD:910A:2222:5498:8475:1111:3900:2020", src="ABAB:910A:2222:5498:8475:1111:3900:1010")/("X"*48)
+
+Test case 2: MAC_IPV4_UDP
+=========================
+Subcase 1: MAC_IPV4_UDP_L4_CHKSUM
+---------------------------------
+1. create rss rule::
+
+    flow create 0 ingress pattern eth / ipv4 / udp / end actions rss types l4-chksum  end queues end / end
+
+2. basic hit pattern packet::
+
+    p1=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP(src="192.168.0.1",dst="192.168.0.2")/UDP(sport=22, dport=23,chksum=0xffff)/("X"*48)
+
+3. hit pattern/changed defined input set::
+
+    p2=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP(src="192.168.0.1",dst="192.168.0.2")/UDP(sport=22, dport=23,chksum=0xfffe)/("X"*48)
+
+4. hit pattern/changed not defined input set::
+
+    p3=Ether(dst="00:11:22:33:44:53", src="52:00:00:00:00:01")/IP(src="192.168.1.1", dst="192.168.1.2",chksum=0x3)/UDP(sport=32, dport=33,chksum=0xffff)/("X"*48)
+
+   if VF, don't change dst mac address::
+
+    p3=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:01")/IP(src="192.168.1.1", dst="192.168.1.2",chksum=0x3)/UDP(sport=32, dport=33,chksum=0xffff)/("X"*48)
+
+5. not hit pattern::
+
+    p4=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP(src="192.168.0.1",dst="192.168.0.2")/SCTP(sport=22, dport=23,chksum=0xffff)/("X"*48)
+
+Subcase 2: MAC_IPV4_UDP_IPV4_CHKSUM
+-----------------------------------
+1. create rss rule::
+
+    flow create 0 ingress pattern eth / ipv4 / udp / end actions rss types ipv4-chksum  end queues end / end
+
+2. basic hit pattern packet::
+
+    p1=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP(src="192.168.0.1",dst="192.168.0.2",chksum=0xffff)/UDP(sport=22, dport=23)/("X"*48)
+
+3. hit pattern/changed defined input set::
+
+    p2=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP(src="192.168.0.1",dst="192.168.0.2",chksum=0xfffe)/UDP(sport=22, dport=23)/("X"*48)
+
+4. hit pattern/changed not defined input set::
+
+    p3=Ether(dst="00:11:22:33:44:53", src="52:00:00:00:00:01")/IP(src="192.168.1.1", dst="192.168.1.2",chksum=0xffff)/UDP(sport=32, dport=33,chksum=0xffff)/("X"*48)
+
+   if VF, don't change dst mac address::
+
+    p3=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:01")/IP(src="192.168.1.1", dst="192.168.1.2",chksum=0xffff)/UDP(sport=32, dport=33,chksum=0xffff)/("X"*48)
+
+5. not hit pattern::
+
+    p4=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP(src="192.168.0.1",dst="192.168.0.2",chksum=0xffff)/SCTP(sport=22, dport=23)/("X"*48)
+
+Test case 3: MAC_IPV4_TCP
+=========================
+the rules and packets in this test case is similar to "Test case: MAC_IPV4_UDP"
+just change some parts of rules and packets:
+
+    rule:
+        change udp to tcp
+    packets:
+        if the packet's L4 layer is UDP, change it to TCP;
+        if the packet's L4 layer is TCP, change it to UDP;
+
+Subcase 1: MAC_IPV4_TCP_L4_CHKSUM
+---------------------------------
+
+Subcase 2: MAC_IPV4_TCP_IPV4_CHKSUM
+-----------------------------------
+
+Test case 4: MAC_IPV4_SCTP
+==========================
+the rules and packets in this test case is similar to "Test case: MAC_IPV4_UDP"
+just change some parts of rules and packets:
+
+    rule:
+        change udp to sctp
+    packets:
+        if the packet's L4 layer is UDP, change it to SCTP;
+        if the packet's L4 layer is SCTP, change it to TCP;
+
+Subcase 1: MAC_IPV4_SCTP_L4_CHKSUM
+----------------------------------
+
+Subcase 2: MAC_IPV4_SCTP_IPV4_CHKSUM
+------------------------------------
+
+
+Test case 5: MAC_IPV6_UDP_L4_CHKSUM
+===================================
+1. create rss rule::
+
+    flow create 0 ingress pattern eth / ipv6 / udp / end actions rss types l4-chksum  end queues end / end
+
+2. basic hit pattern packet::
+
+    p1 = Ether(src="52:00:00:00:00:00", dst="00:11:22:33:44:55")/IPv6(dst="CDCD:910A:2222:5498:8475:1111:3900:2020", src="ABAB:910A:2222:5498:8475:1111:3900:1010")/UDP(sport=22, dport=23, chksum=0x1)/("X"*48)
+
+3. hit pattern/changed defined input set::
+
+    p2 = Ether(src="52:00:00:00:00:00", dst="00:11:22:33:44:55")/IPv6(dst="CDCD:910A:2222:5498:8475:1111:3900:2020", src="ABAB:910A:2222:5498:8475:1111:3900:1010")/UDP(sport=22, dport=23, chksum=0x2)/("X"*48)
+
+4. hit pattern/changed not defined input set::
+
+    p3 = Ether(src="52:00:00:00:00:01", dst="00:11:22:33:44:53")/IPv6(dst="CDCD:910A:2222:5498:8475:1111:3900:2021", src="ABAB:910A:2222:5498:8475:1111:3900:1011")/UDP(sport=32, dport=33, chksum=0x1)/("X"*48)
+
+   if VF, don't change dst mac address::
+
+    p3 = Ether(src="52:00:00:00:00:01", dst="00:11:22:33:44:55")/IPv6(dst="CDCD:910A:2222:5498:8475:1111:3900:2021", src="ABAB:910A:2222:5498:8475:1111:3900:1011")/UDP(sport=32, dport=33, chksum=0x1)/("X"*48)
+
+5. not hit pattern::
+
+    p4 = Ether(src="52:00:00:00:00:00", dst="00:11:22:33:44:55")/IPv6(dst="CDCD:910A:2222:5498:8475:1111:3900:2020", src="ABAB:910A:2222:5498:8475:1111:3900:1010")/TCP(sport=22, dport=23, chksum=0x1)/("X"*49)
+
+Test case 6: MAC_IPV6_TCP_L4_CHKSUM
+===================================
+1. create rss rule::
+
+    flow create 0 ingress pattern eth / ipv6 / tcp / end actions rss types l4-chksum  end queues end / end
+
+2. basic hit pattern packet::
+
+    p1 = Ether(src="52:00:00:00:00:00", dst="00:11:22:33:44:55")/IPv6(dst="CDCD:910A:2222:5498:8475:1111:3900:2020", src="ABAB:910A:2222:5498:8475:1111:3900:1010")/TCP(sport=22, dport=23, chksum=0x1)/("X"*48)
+
+3. hit pattern/changed defined input set::
+
+    p2 = Ether(src="52:00:00:00:00:00", dst="00:11:22:33:44:55")/IPv6(dst="CDCD:910A:2222:5498:8475:1111:3900:2020", src="ABAB:910A:2222:5498:8475:1111:3900:1010")/TCP(sport=22, dport=23, chksum=0x2)/("X"*48)
+
+4. hit pattern/changed not defined input set::
+
+    p3 = Ether(src="52:00:00:00:00:01", dst="00:11:22:33:44:53")/IPv6(dst="CDCD:910A:2222:5498:8475:1111:3900:2021", src="ABAB:910A:2222:5498:8475:1111:3900:1011")/TCP(sport=32, dport=33, chksum=0x1)/("X"*48)
+
+   if VF, don't change dst mac address::
+
+    p3 = Ether(src="52:00:00:00:00:01", dst="00:11:22:33:44:55")/IPv6(dst="CDCD:910A:2222:5498:8475:1111:3900:2021", src="ABAB:910A:2222:5498:8475:1111:3900:1011")/TCP(sport=32, dport=33, chksum=0x1)/("X"*48)
+
+5. not hit pattern::
+
+    p4 = Ether(src="52:00:00:00:00:00", dst="00:11:22:33:44:55")/IPv6(dst="CDCD:910A:2222:5498:8475:1111:3900:2020", src="ABAB:910A:2222:5498:8475:1111:3900:1010")/SCTP(sport=22, dport=23, chksum=0x1)/("X"*49)
+
+Test case 7: MAC_IPV6_SCTP_L4_CHKSUM
+====================================
+1. create rss rule::
+
+    flow create 0 ingress pattern eth / ipv6 / sctp / end actions rss types l4-chksum  end queues end / end
+
+2. basic hit pattern packet::
+
+    p1 = Ether(src="52:00:00:00:00:00", dst="00:11:22:33:44:55")/IPv6(dst="CDCD:910A:2222:5498:8475:1111:3900:2020", src="ABAB:910A:2222:5498:8475:1111:3900:1010")/SCTP(sport=22, dport=23, chksum=0xffffffff)/("X"*48)
+
+3. hit pattern/changed defined input set::
+
+    p2 = Ether(src="52:00:00:00:00:00", dst="00:11:22:33:44:55")/IPv6(dst="CDCD:910A:2222:5498:8475:1111:3900:2020", src="ABAB:910A:2222:5498:8475:1111:3900:1010")/SCTP(sport=22, dport=23, chksum=0xfffffffe)/("X"*48)
+
+4. hit pattern/changed not defined input set::
+
+    p3 = Ether(src="52:00:00:00:00:01", dst="00:11:22:33:44:53")/IPv6(dst="CDCD:910A:2222:5498:8475:1111:3900:2021", src="ABAB:910A:2222:5498:8475:1111:3900:1011")/SCTP(sport=32, dport=33, chksum=0xffffffff)/("X"*48)
+
+   if VF, don't change dst mac address::
+
+    p3 = Ether(src="52:00:00:00:00:01", dst="00:11:22:33:44:55")/IPv6(dst="CDCD:910A:2222:5498:8475:1111:3900:2021", src="ABAB:910A:2222:5498:8475:1111:3900:1011")/SCTP(sport=32, dport=33, chksum=0xffffffff)/("X"*48)
+
+5. not hit pattern::
+
+    p4 = Ether(src="52:00:00:00:00:00", dst="00:11:22:33:44:55")/IPv6(dst="CDCD:910A:2222:5498:8475:1111:3900:2020", src="ABAB:910A:2222:5498:8475:1111:3900:1010")/UDP(sport=22, dport=23, chksum=0x1)/("X"*49)
+
+Test case 8: Checksum for different payload length
+==================================================
+1. launch testpmd without "--disable-rss"::
+
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c f -n 6 -- -i --rxq=16 --txq=16
+    testpmd> set fwd rxonly
+    testpmd> set verbose 1
+    testpmd> start
+
+2. Send packets with different payload length::
+
+    p1=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP()/("X"*48)
+    p2=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP()/("X"*64)
+    p3=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP()/UDP()/("X"*48)
+    p4=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP()/UDP()/("X"*64)
+    p5=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP()/TCP()/("X"*48)
+    p6=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP()/TCP()/("X"*64)
+    p7=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP()/SCTP()/("X"*48)
+    p8=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP()/SCTP()/("X"*64)
+
+   Check all the packets received have same hash value.
+
+3. create RSS rule of 5-tuple inputset for each packet type::
+
+    flow create 0 ingress pattern eth / ipv4 / udp / end actions rss types ipv4-udp  end queues end / end
+    flow create 0 ingress pattern eth / ipv4 / tcp / end actions rss types ipv4-tcp  end queues end / end
+    flow create 0 ingress pattern eth / ipv4 / sctp / end actions rss types ipv4-sctp  end queues end / end
+
+4. Send packets of step 2.
+   Check the received packets with same packet type have same hash value.
+
+5. create RSS rule of l4-chksum inputset for each packet type::
+
+    flow create 0 ingress pattern eth / ipv4 / udp / end actions rss types l4-chksum  end queues end / end
+    flow create 0 ingress pattern eth / ipv4 / tcp / end actions rss types l4-chksum  end queues end / end
+    flow create 0 ingress pattern eth / ipv4 / sctp / end actions rss types l4-chksum  end queues end / end
+
+6. Send packets of step 2.
+   Check the UDP/TCP/SCTP packets with different payload length have different hash value.
+
+7. create RSS rule of ipv4-chksum inputset for each packet type::
+
+    flow create 0 ingress pattern eth / ipv4 / end actions rss types ipv4-chksum  end queues end / end
+    flow create 0 ingress pattern eth / ipv4 / udp / end actions rss types ipv4-chksum  end queues end / end
+    flow create 0 ingress pattern eth / ipv4 / tcp / end actions rss types ipv4-chksum  end queues end / end
+    flow create 0 ingress pattern eth / ipv4 / sctp / end actions rss types ipv4-chksum  end queues end / end
+
+8. Send packets of step 2.
+   Check the IPV4/UDP/TCP/SCTP packets with different payload length have different hash value.
+
+Test case 9: Set HW csum, flow rule doesn’t impact RX checksum and TX checksum
+==============================================================================
+1. launch testpmd without "--disable-rss"::
+
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c f -n 6 -- -i --rxq=16 --txq=16
+
+2. Set tx checksum::
+
+    port stop all
+    set fwd csum
+    csum set ip hw 0
+    csum set udp hw 0
+    csum set tcp hw 0
+    csum set sctp hw 0
+    port start all
+    set verbose 1
+    start
+
+3. Capture the tx packet at tester port::
+
+    tcpdump -i enp216s0f0 -Q in -e -n -v -x
+
+4. Send packets::
+
+    p1=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP(src="192.168.0.1", chksum=0xfff3)/("X"*48)
+    p2=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP(src="192.168.0.1")/TCP(sport=22, chksum=0xfff3)/("X"*48)
+    p3=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP(src="192.168.0.1")/UDP(sport=22, chksum=0x1)/("X"*48)
+    p4=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP(src="192.168.0.1")/SCTP(sport=22, chksum=0x1)/("X"*48)
+    p5=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IPv6()/TCP(sport=22, chksum=0xe38)/("X"*48)
+    p6=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IPv6()/UDP(sport=22, chksum=0xe38)/("X"*48)
+    p7=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IPv6()/SCTP(sport=22, chksum=0xf)/("X"*48)
+
+   Check rx checksum good or bad, check if the tx checksum correct.
+
+5. Create rss rules with chsum as inputset::
+
+    flow create 0 ingress pattern eth / ipv4 / end actions rss types ipv4-chksum end queues end / end
+    flow create 0 ingress pattern eth / ipv4 / tcp / end actions rss types l4-chksum end queues end / end
+    flow create 0 ingress pattern eth / ipv4 / udp / end actions rss types l4-chksum end queues end / end
+    flow create 0 ingress pattern eth / ipv4 / sctp / end actions rss types l4-chksum end queues end / end
+    flow create 0 ingress pattern eth / ipv6 / tcp / end actions rss types l4-chksum end queues end / end
+    flow create 0 ingress pattern eth / ipv6 / udp / end actions rss types l4-chksum end queues end / end
+    flow create 0 ingress pattern eth / ipv6 / sctp / end actions rss types l4-chksum end queues end / end
+
+6. Send the same packets, check the hash value changed, check rx and tx checksum, get the same result.
+
+Test case 10: Combined case with fdir queue group
+=================================================
+1. start testpmd without "--disable-rss"::
+
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c f -n 6 -- -i --rxq=16 --txq=16
+    testpmd> set fwd rxonly
+    testpmd> set verbose 1
+    testpmd> start
+
+2. Create fdir rules to queue group::
+
+    flow create 0 ingress pattern eth dst is 00:11:22:33:44:55 / ipv4 / tcp / end actions rss queues 4 5 end / end
+    flow create 0 ingress pattern eth dst is 00:11:22:33:44:55 / ipv4 / udp / end actions rss queues 6 7 end / end
+    flow create 0 ingress pattern eth dst is 00:11:22:33:44:55 / ipv4 / sctp / end actions rss queues 8 9 end / end
+    flow create 0 ingress pattern eth dst is 00:11:22:33:44:55 / ipv6 / tcp / end actions rss queues 10 11 end / end
+    flow create 0 ingress pattern eth dst is 00:11:22:33:44:55 / ipv6 / udp / end actions rss queues 12 13 end / end
+    flow create 0 ingress pattern eth dst is 00:11:22:33:44:55 / ipv6 / sctp / end actions rss queues 14 15 end / end
+
+   if VF::
+
+    flow create 0 ingress pattern eth / ipv4 / tcp / end actions rss queues 4 5 end / end
+    flow create 0 ingress pattern eth / ipv4 / udp / end actions rss queues 6 7 end / end
+    flow create 0 ingress pattern eth / ipv4 src is 192.168.0.1 / sctp / end actions rss queues 8 9 end / end
+    flow create 0 ingress pattern eth / ipv6 / tcp / end actions rss queues 10 11 end / end
+    flow create 0 ingress pattern eth / ipv6 / udp / end actions rss queues 12 13 end / end
+    flow create 0 ingress pattern eth / ipv6 src is ABAB:910A:2222:5498:8475:1111:3900:1010 / sctp / end actions rss queues 14 15 end / end
+
+3. Send packets::
+
+    p1=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP(src="192.168.0.1", chksum=0xfff3)/("X"*48)
+    p2=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP(src="192.168.0.1")/TCP(sport=22, chksum=0xfff3)/("X"*48)
+    p3=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP(src="192.168.0.1")/UDP(sport=22, chksum=0x1)/("X"*48)
+    p4=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IP(src="192.168.0.1")/SCTP(sport=22, chksum=0x1)/("X"*48)
+    p5=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IPv6()/TCP(sport=22, chksum=0xe38)/("X"*48)
+    p6=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IPv6()/UDP(sport=22, chksum=0xe38)/("X"*48)
+    p7=Ether(dst="00:11:22:33:44:55", src="52:00:00:00:00:00")/IPv6(src="ABAB:910A:2222:5498:8475:1111:3900:1010")/SCTP(sport=22, chksum=0xf)/("X"*48)
+
+   Check p2-p7 are distributed to specified queue group,
+   p1 is distributed by RSS hash value.
+
+4. Create rss rule with inputset checksum::
+
+    flow create 0 ingress pattern eth / ipv4 / end actions rss types ipv4-chksum  end queues end / end
+    flow create 0 ingress pattern eth / ipv4 / tcp / end actions rss types l4-chksum  end queues end / end
+    flow create 0 ingress pattern eth / ipv4 / udp / end actions rss types l4-chksum  end queues end / end
+    flow create 0 ingress pattern eth / ipv4 / sctp / end actions rss types l4-chksum  end queues end / end
+    flow create 0 ingress pattern eth / ipv6 / tcp / end actions rss types l4-chksum  end queues end / end
+    flow create 0 ingress pattern eth / ipv6 / udp / end actions rss types l4-chksum  end queues end / end
+    flow create 0 ingress pattern eth / ipv6 / sctp / end actions rss types l4-chksum  end queues end / end
+
+   Send same packets again. Check hash values of p2-p6 are changed, but queue group not changed.
+   Check p1 hash value changed too, and distributed by RSS hash value.
+
+5. Create fdir rule to queue group for ipv4 pattern::
+
+    flow create 0 ingress pattern eth dst is 00:11:22:33:44:55 / ipv4 / end actions rss queues 0 1 2 3 end / end
+
+   if VF::
+
+    flow destroy 0 rule 0
+    flow destroy 0 rule 1
+    flow destroy 0 rule 2
+    flow create 0 ingress pattern eth / ipv4 src is 192.168.0.1 / end actions rss queues 0 1 2 3 end / end
+
+   Send p1, check the packet distributed to queue group without hash value changed.
+
+Test case 11: negative case
+===========================
+1. create a rule with invalid inputset::
+
+    flow create 0 ingress pattern eth / ipv4 / end actions rss types l4-chksum end queues end / end
+    ice_flow_create(): Failed to create flow
+    port_flow_complain(): Caught PMD error type 10 (item specification): cause: 0x7fff0a9b9f80, Invalid input set: Invalid argument
+
+2. create a rule with inputset not supported::
+
+    flow create 0 ingress pattern eth / ipv6 / end actions rss types ipv6-chksum  end queues end / end
+    Bad arguments