diff --git a/test_plans/rxtx_offload_test_plan.rst b/test_plans/rxtx_offload_test_plan.rst
index 383208dc..faa60de3 100644
--- a/test_plans/rxtx_offload_test_plan.rst
+++ b/test_plans/rxtx_offload_test_plan.rst
@@ -108,85 +108,6 @@ Prerequisites
 Rx Offload
 ==========
 
-Test case: Rx offload per-port setting
-======================================
-
-1. Enable jumboframe when start testpmd::
-
-    ./testpmd -c f -n 4 -- -i --rxq=4 --txq=4 --max-pkt-len=9000
-    testpmd> set fwd rxonly
-    testpmd> set verbose 1
-    testpmd> start
-    testpmd> show port 0 rx_offload configuration
-    Rx Offloading Configuration of port 0 :
-      Port : JUMBO_FRAME
-      Queue[ 0] :
-      Queue[ 1] :
-      Queue[ 2] :
-      Queue[ 3] :
-
-2. Increase the tester ports's mtu::
-
-    ifconfig enp131s0f0 mtu 9200
-    ifconfig enp131s0f1 mtu 9200
-
-   Send a jumboframe packet::
-
-    pkt1 = Ether(dst="52:54:00:00:00:01", src="52:00:00:00:00:00")/IP(dst="192.168.0.1", src="192.168.0.2", len=8981)/Raw(load="P"*8961)
-    pkt2 = Ether(dst="52:54:00:00:00:01", src="52:00:00:00:00:00")/IP(dst="192.168.0.1", src="192.168.0.3", len=8981)/Raw(load="P"*8961)
-
-   pkt1 was distributed to queue 1, pkt2 was distributed to queue 0.
-
-3. Failed to disable jumboframe per_queue::
-
-    testpmd> port stop 0
-    testpmd> port 0 rxq 1 rx_offload jumbo_frame off
-    testpmd> port start 0
-
-   The port can be started normally, but the setting doesn't take effect.
-   Pkt1 still can be distributed to queue 1.
-
-4. Succeed to disable jumboframe per_port::
-
-    testpmd> port stop 0
-    testpmd> port config 0 rx_offload jumbo_frame off
-    testpmd> port start 0
-    testpmd> show port 0 rx_offload configuration
-    Rx Offloading Configuration of port 0 :
-      Port :
-      Queue[ 0] :
-      Queue[ 1] :
-      Queue[ 2] :
-      Queue[ 3] :
-    testpmd> start
-
-   Send the same two packet, there is no packet received.
-
-5. Failed to enable jumboframe per_queue::
-
-    testpmd> port stop 0
-    testpmd> port 0 rxq 1 rx_offload jumbo_frame on
-    testpmd> port start 0
-    Configuring Port 0 (socket 0)
-    Ethdev port_id=0 rx_queue_id=1, new added offloads 0x800 must be within pre-queue offload capabilities 0x1 in rte_eth_rx_queue_setup()
-    Fail to configure port 0 rx queues
-
-6. Succeed to enable jumboframe per_port::
-
-    testpmd> port stop 0
-    testpmd> port config 0 rx_offload jumbo_frame on
-    testpmd> port start 0
-    testpmd> show port 0 rx_offload configuration
-    Rx Offloading Configuration of port 0 :
-      Port : JUMBO_FRAME
-      Queue[ 0] : JUMBO_FRAME
-      Queue[ 1] : JUMBO_FRAME
-      Queue[ 2] : JUMBO_FRAME
-      Queue[ 3] : JUMBO_FRAME
-
-   Send the same two packet, pkt1 was distributed to queue 1,
-   pkt2 was distributed to queue 0.
-
 Test case: Rx offload per-port setting in command-line
 ======================================================
 
diff --git a/tests/TestSuite_rxtx_offload.py b/tests/TestSuite_rxtx_offload.py
index 14fd40ac..6bb8f730 100644
--- a/tests/TestSuite_rxtx_offload.py
+++ b/tests/TestSuite_rxtx_offload.py
@@ -71,7 +71,6 @@ offloads = {'mbuf_fast_free': 'MBUF_FAST_FREE',
             'qinq_strip': 'QINQ_STRIP',
             'vlan_filter': 'VLAN_FILTER',
             'vlan_extend': 'VLAN_EXTEND',
-            'jumboframe': 'JUMBO_FRAME',
             'scatter': 'SCATTER',
             'keep_crc': 'KEEP_CRC',
             'macsec_strip': 'MACSEC_STRIP'
@@ -344,54 +343,6 @@ class TestRxTx_Offload(TestCase):
         self.tester.send_expect("killall tcpdump", "#")
         return self.tester.send_expect("tcpdump -nn -e -v -c 1024 -r ./getPackageByTcpdump.cap", "#", 120)
 
-    def test_rxoffload_port(self):
-        """
-        Set Rx offload by port.
-        """
-        # Define jumboframe packets
-        self.jumbo_pkt1 = r'sendp([Ether(dst="%s")/IP(dst="192.168.0.1",src="192.168.0.2", len=8981)/Raw(load="P"*8961)], iface="%s")' % (self.pf_mac, self.tester_itf0)
-        self.jumbo_pkt2 = r'sendp([Ether(dst="%s")/IP(dst="192.168.0.1",src="192.168.0.3", len=8981)/Raw(load="P"*8961)], iface="%s")' % (self.pf_mac, self.tester_itf0)
-
-        self.pmdout.start_testpmd("%s" % self.cores, "--rxq=4 --txq=4 --max-pkt-len=9000")
-        self.dut.send_expect("set fwd rxonly", "testpmd> ")
-        self.dut.send_expect("set verbose 1", "testpmd> ")
-        offload = ['jumboframe']
-        self.check_port_config("rx", offload)
-        self.tester.send_expect("ifconfig %s mtu %s" % (self.tester_itf0, ETHER_JUMBO_FRAME_MTU), "# ")
-        self.tester.send_expect("ifconfig %s mtu %s" % (self.tester_itf1, ETHER_JUMBO_FRAME_MTU), "# ")
-
-        pkt1_queue = self.get_queue_number(self.jumbo_pkt1)
-        pkt2_queue = self.get_queue_number(self.jumbo_pkt2)
-
-        # Failed to disable jumboframe per_queue, foxvillee 2.5g not support
-        if self.nic != 'foxville':
-            self.dut.send_expect("port stop 0", "testpmd> ")
-            self.dut.send_expect("port 0 rxq %s rx_offload jumbo_frame off" % pkt1_queue, "testpmd> ")
-            self.verify_result(self.jumbo_pkt1, 1, pkt1_queue)
-
-        # Succeed to disable jumboframe per_port
-        self.dut.send_expect("port stop 0", "testpmd> ")
-        self.dut.send_expect("port config 0 rx_offload jumbo_frame off", "testpmd> ")
-        self.check_port_config("rx", "NULL")
-        self.verify_result(self.jumbo_pkt1, 0, pkt1_queue)
-        self.verify_result(self.jumbo_pkt2, 0, pkt2_queue)
-
-        # Failed to enable jumboframe per_queue
-        self.dut.send_expect("port stop 0", "testpmd> ")
-        self.dut.send_expect("port 0 rxq %s rx_offload jumbo_frame on" % pkt1_queue, "testpmd> ")
-        outstring = self.dut.send_expect("port start 0", "testpmd> ")
-        self.verify("Fail" in outstring, "jumboframe can be set by queue.")
-
-        # Succeed to enable jumboframe per_port
-        self.dut.send_expect("port stop 0", "testpmd> ")
-        self.dut.send_expect("port config 0 rx_offload jumbo_frame on", "testpmd> ")
-        self.check_port_config("rx", offload)
-        self.verify_result(self.jumbo_pkt1, 1, pkt1_queue)
-        self.verify_result(self.jumbo_pkt2, 1, pkt2_queue)
-
-        self.tester.send_expect("ifconfig %s mtu %s" % (self.tester_itf0, ETHER_STANDARD_MTU), "# ")
-        self.tester.send_expect("ifconfig %s mtu %s" % (self.tester_itf1, ETHER_STANDARD_MTU), "# ")
-
     def test_rxoffload_port_cmdline(self):
         """
         Set Rx offload by port in cmdline.