diff --git a/test_plans/performance_thread_test_plan.rst b/test_plans/performance_thread_test_plan.rst
index 66de604d..33ef9bc7 100644
--- a/test_plans/performance_thread_test_plan.rst
+++ b/test_plans/performance_thread_test_plan.rst
@@ -30,9 +30,9 @@
    ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
    OF THE POSSIBILITY OF SUCH DAMAGE.
 
-======================================
+=====================================
 Performance-thread  performance Tests
-======================================
+=====================================
 
 The Performance-Thread results are produced using ``l3fwd-thread`` application.
 
@@ -40,7 +40,7 @@ For more information about Performance Thread sameple applicaton please refer to
 link: http://doc.dpdk.org/guides/sample_app_ug/performance_thread.html
 
 Prerequisites
-==============
+=============
 
 1. Hardware requirements:
 
@@ -130,7 +130,7 @@ Test Case: one_lcore_per_pcore performance
 1. Launch app with descriptor parameters::
 
     ./examples/performance-thread/l3fwd-thread/x86_64-native-linuxapp-gcc/l3fwd-thread \
-     -c ff -n 4 -- -P -p 3 --enable-jumbo --max-pkt-len 2500  \
+     -c ff -n 4 -- -P -p 3 --max-pkt-len 2500  \
      --rx="(0,0,0,0)(1,0,0,0)" --tx="(1,0)" --no-lthread
 
    (Note: option "--stat-lcore" is not enabled in the automation scripts)
@@ -142,15 +142,15 @@ Test Case: one_lcore_per_pcore performance
   +-----+---------------------------------------------------------------------------------------------------+
   | #   |                             Command Line                                                          |
   +=====+===================================================================================================+
-  | 1   | ./l3fwd-thread -c ff -n 4 -- -P -p 3 --enable-jumbo --max-pkt-len 2500 \                          |
+  | 1   | ./l3fwd-thread -c ff -n 4 -- -P -p 3 --max-pkt-len 2500 \                                         |
   |     |                 --rx="(0,0,0,0)(1,0,1,1) --tx="(2,0)(3,1) \                                       |
   |     |                 --no-lthread                                                                      |
   +-----+---------------------------------------------------------------------------------------------------+
-  | 2   | ./l3fwd-thread -c ff -n 4 -- -P -p 3 --enable-jumbo --max-pkt-len 2500 \                          |
+  | 2   | ./l3fwd-thread -c ff -n 4 -- -P -p 3 --max-pkt-len 2500 \                                         |
   |     |                 --rx="(0,0,0,0)(0,1,1,1)(1,0,2,2)(1,1,3,3)" \                                     |
   |     |                 --tx="(4,0)(5,1)(6,2)(7,3)" --no-lthread                                          |
   +-----+---------------------------------------------------------------------------------------------------+
-  | 3   | ./l3fwd-thread -c ff -n 4 -- -P -p 3 --enable-jumbo --max-pkt-len 2500 \                          |
+  | 3   | ./l3fwd-thread -c ff -n 4 -- -P -p 3 --max-pkt-len 2500 \                                         |
   |     |                --rx="(0,0,0,0)(0,1,1,1)(0,2,2,2)(0,3,3,3)(1,0,4,4)(1,1,5,5)(1,2,6,6)(1,3,7,7)" \  |
   |     |                --tx="(8,0)(9,1)(10,2)(11,3)(12,4)(13,5)(14,6)(15,7)" \                            |
   |     |                --no-lthread                                                                       |
@@ -165,7 +165,7 @@ Test Case: n_lcore_per_pcore performance
 1. Launch app with descriptor parameters::
 
     ./examples/performance-thread/l3fwd-thread/x86_64-native-linuxapp-gcc/l3fwd-thread \
-     --lcores="2,(0-1)@0" -- -P -p 3 --enable-jumbo --max-pkt-len 2500 \
+     --lcores="2,(0-1)@0" -- -P -p 3 --max-pkt-len 2500 \
      --rx="(0,0,0,0)(1,0,0,0)" --tx="(1,0)"
 
    (Note: option "--stat-lcore" is not enabled in the automation scripts)
@@ -177,15 +177,15 @@ Test Case: n_lcore_per_pcore performance
   +-----+---------------------------------------------------------------------------------------------------+
   | #   |                             Command Line                                                          |
   +=====+===================================================================================================+
-  | 1   | ./l3fwd-thread -n 4 --lcores="(0-3)@0,4" -- -P -p 3 --enable-jumbo --max-pkt-len 2500  \          |
+  | 1   | ./l3fwd-thread -n 4 --lcores="(0-3)@0,4" -- -P -p 3 --max-pkt-len 2500  \                         |
   |     |                 --rx="(0,0,0,0)(1,0,1,1) --tx="(2,0)(3,1) \                                       |
   |     |                 --no-lthread                                                                      |
   +-----+---------------------------------------------------------------------------------------------------+
-  | 2   | ./l3fwd-thread -n 4 --lcores="(0-7)@0,8" -- -P -p 3-P -p 3 --enable-jumbo --max-pkt-len 2500  \   |
+  | 2   | ./l3fwd-thread -n 4 --lcores="(0-7)@0,8" -- -P -p 3-P -p 3 --max-pkt-len 2500  \                  |
   |     |                 --rx="(0,0,0,0)(0,1,1,1)(1,0,2,2)(1,1,3,3)" \                                     |
   |     |                 --tx="(4,0)(5,1)(6,2)(7,3)" --no-lthread                                          |
   +-----+---------------------------------------------------------------------------------------------------+
-  | 3   | ./l3fwd-thread -n 4 --lcores="(0-15)@0,16" -- -P -p 3 --enable-jumbo --max-pkt-len 2500  \        |
+  | 3   | ./l3fwd-thread -n 4 --lcores="(0-15)@0,16" -- -P -p 3 --max-pkt-len 2500  \                       |
   |     |                --rx="(0,0,0,0)(0,1,1,1)(0,2,2,2)(0,3,3,3)(1,0,4,4)(1,1,5,5)(1,2,6,6)(1,3,7,7)" \  |
   |     |                --tx="(8,0)(9,1)(10,2)(11,3)(12,4)(13,5)(14,6)(15,7)" \                            |
   |     |                --no-lthread                                                                       |
@@ -200,7 +200,7 @@ Test Case: n_lthread_per_pcore performance
 1. Launch app with descriptor parameters::
 
     ./examples/performance-thread/l3fwd-thread/x86_64-native-linuxapp-gcc/l3fwd-thread \
-     -c ff -n 4 -- -P -p 3 --enable-jumbo --max-pkt-len 2500 \
+     -c ff -n 4 -- -P -p 3 --max-pkt-len 2500 \
      ----tx="(0,0)" --tx="(0,0)"
 
    (Note: option "--stat-lcore" is not enabled in the automation scripts)
@@ -212,14 +212,14 @@ Test Case: n_lthread_per_pcore performance
   +-----+---------------------------------------------------------------------------------------------------+
   | #   |                             Command Line                                                          |
   +=====+===================================================================================================+
-  | 1   | ./l3fwd-thread -c ff -n 4 -- -P -p 3 --enable-jumbo --max-pkt-len 2500  \                         |
+  | 1   | ./l3fwd-thread -c ff -n 4 -- -P -p 3 --max-pkt-len 2500  \                                        |
   |     |                 --rx="(0,0,0,0)(1,0,1,1) --tx="(0,0),(0,1)"                                       |
   +-----+---------------------------------------------------------------------------------------------------+
-  | 2   | ./l3fwd-thread -c ff -n 4 -- -P -p 3 --enable-jumbo --max-pkt-len 2500  \                         |
+  | 2   | ./l3fwd-thread -c ff -n 4 -- -P -p 3 --max-pkt-len 2500  \                                        |
   |     |                 --rx="(0,0,0,0)(0,1,0,1)(1,0,0,2)(1,1,0,3)" \                                     |
   |     |                 --tx="(0,0)(0,1)(0,2)(0,3)"                                                       |
   +-----+---------------------------------------------------------------------------------------------------+
-  | 3   | ./l3fwd-thread -c ff -n 4 -- -P -p 3 --enable-jumbo --max-pkt-len 2500  \                         |
+  | 3   | ./l3fwd-thread -c ff -n 4 -- -P -p 3 --max-pkt-len 2500  \                                        |
   |     |                --rx="(0,0,0,0)(0,1,0,1)(0,2,0,2)(0,3,0,3)(1,0,0,4)(1,1,0,5)(1,2,0,6)(1,3,0,7)" \  |
   |     |                --tx="(0,0)(0,1)(0,2)(0,3)(0,4)(0,5)(0,6)(0,7)" \                                  |
   +-----+---------------------------------------------------------------------------------------------------+