diff --git a/test_plans/fdir_test_plan.rst b/test_plans/fdir_test_plan.rst
index dee03c3..72ac320 100644
--- a/test_plans/fdir_test_plan.rst
+++ b/test_plans/fdir_test_plan.rst
@@ -199,140 +199,6 @@ are free to be used is equal to 8192 (8192 * 32B = 256KB).::
    ########################################################################
 
 
-Test case: Control levels of FDir match reporting
-=================================================
-
-The status of FDir filter matching for each packet can be reported by the
-hardware through the RX descriptor of each received packet, and this information
-is copied into the packet mbuf, that can be examined by the application.
-
-There are three different reporting modes, that can be set in testpmd using the
-``--pkt-filter-report-hash`` command line argument:
-
-
-Sub-case: ``--pkt-filter-report-hash=none`` mode
-------------------------------------------------
-
-In this mode FDir reporting mode, matches are never reported.
-Start the ``testpmd`` application as follows::
-
-   ./testpmd -c 0xf -- -i --portmask=0x1 --nb-cores=2 --rxq=2 --txq=2
-     --disable-rss --pkt-filter-mode=perfect --pkt-filter-report-hash=none
-   testpmd> set verbose 1
-   testpmd> set fwd rxonly
-   testpmd> start
-
-Send the ``p_udp`` packet with Scapy on the traffic generator and check that no
-FDir information is printed::
-
-   testpmd> port 0/queue 0: received 1 packets
-    src=00:1B:21:53:1F:14 - dst=00:1B:21:91:3D:2C - type=0x0800 - length=60 - nb_segs=1
-    PKT_RX_IP_CKSUM
-    PKT_RX_IPV4_HDR
-
-Add a perfect filter to match the ``p_udp`` packet, and send the packet again.
-No Dir information is printed, but it can be seen that the packet went to queue
-1::
-
-   testpmd> add_perfect_filter 0 udp src 192.168.0.1 1024 dst 192.168.0.2 1024
-     flexbytes 0x800 vlan 0 queue 1 soft 0x14
-   testpmd> port 0/queue 1: received 1 packets
-      src=00:1B:21:53:1F:14 - dst=00:1B:21:91:3D:2C - type=0x0800 - length=60 - nb_segs=1
-      PKT_RX_IP_CKSUM
-      PKT_RX_IPV4_HDR
-
-
-Sub-case: ``--pkt-filter-report-hash=match`` mode
--------------------------------------------------
-
-In this mode FDir reporting mode, FDir information is printed for packets that
-match a filter.
-Start the ``testpmd`` application as follows::
-
-   ./testpmd -c 0xf -- -i --portmask=0x1 --nb-cores=2 --rxq=2 --txq=2 --disable-rss
-      --pkt-filter-mode=perfect --pkt-filter-report-hash=match
-   testpmd> set verbose 1
-   testpmd> set fwd rxonly
-   testpmd> start
-
-Send the ``p_udp`` packet with Scapy on the traffic generator and check that no
-FDir information is printed::
-
-   testpmd> port 0/queue 0: received 1 packets
-      src=00:1B:21:53:1F:14 - dst=00:1B:21:91:3D:2C - type=0x0800 - length=60 - nb_segs=1
-      PKT_RX_IP_CKSUM
-      PKT_RX_IPV4_HDR
-
-Add a perfect filter to match the ``p_udp`` packet, and send the packet again.
-This time, the match is indicated (``PKT_RX_PKT_RX_FDIR``), and its details
-(hash, id) printed ::
-
-   testpmd> add_perfect_filter 0 udp src 192.168.0.1 1024 dst 192.168.0.2 1024
-      flexbytes 0x800 vlan 0 queue 1 soft 0x14
-   testpmd> port 0/queue 1: received 1 packets
-      src=00:1B:21:53:1F:14 - dst=00:1B:21:91:3D:2C - type=0x0800 - length=60
-      -nb_segs=1 - FDIR hash=0x43c - FDIR id=0x14
-      PKT_RX_PKT_RX_FDIR
-      PKT_RX_IP_CKSUM
-      PKT_RX_IPV4_HDR
-
-Update the perfect filter to match the ``p_udp1`` packet, and send the packet again.
-This time, the match is indicated (``PKT_RX_PKT_RX_FDIR``), and its details
-(hash, id) printed ::
-
-   testpmd> add_perfect_filter 0 udp src 192.168.1.1 1024 dst 192.168.1.2 0
-       flexbytes 0x800 vlan 0 queue 1 soft 0x14
-   testpmd> port 0/queue 1: received 1 packets
-      src=00:1B:21:53:1F:14 - dst=00:1B:21:91:3D:2C - type=0x0800 - length=60
-      -nb_segs=1 - FDIR hash=0x43c - FDIR id=0x14
-      PKT_RX_PKT_RX_FDIR
-      PKT_RX_IP_CKSUM
-      PKT_RX_IPV4_HDR
-
-Remove the perfect filter match the ``p_udp1`` and ``p_udp`` packets, and send the packet again.
-Check that no FDir information is printed::
-
-   testpmd> port 0/queue 0: received 1 packets
-      src=00:1B:21:53:1F:14 - dst=00:1B:21:91:3D:2C - type=0x0800 - length=60 - nb_segs=1
-      PKT_RX_IP_CKSUM
-      PKT_RX_IPV4_HDR
-
-Sub-case: ``--pkt-filter-report-hash=always`` mode
---------------------------------------------------
-
-In this mode FDir reporting mode, FDir information is printed for every received
-packet.
-Start the ``testpmd`` application as follows::
-
-   ./testpmd -c 0xf -- -i --portmask=0x1 --nb-cores=2 --rxq=2 --txq=2 --disable-rss
-      --pkt-filter-mode=perfect --pkt-filter-report-hash=always
-   testpmd> set verbose 1
-   testpmd> set fwd rxonly
-   testpmd> start
-
-Send the ``p_udp`` packet with Scapy on the traffic generator and check the
-output (FDIR id=0x0)::
-
-   testpmd> port 0/queue 0: received 1 packets
-      src=00:1B:21:53:1F:14 - dst=00:1B:21:91:3D:2C - type=0x0800 - length=60
-      - nb_segs=1 - FDIR hash=0x43c - FDIR id=0x0
-      PKT_RX_PKT_RX_FDIR
-      PKT_RX_IP_CKSUM
-      PKT_RX_IPV4_HDR
-
-Add a perfect filter to match the ``p_udp`` packet, and send the packet again.
-This time, the filter ID is different, and the packet goes to queue 1 ::
-
-   testpmd> add_perfect_filter 0 udp src 192.168.0.1 1024 dst 192.168.0.2 1024
-      flexbytes 0x800 vlan 0 queue 1 soft 0x14
-   testpmd> port 0/queue 1: received 1 packets
-      src=00:1B:21:53:1F:14 - dst=00:1B:21:91:3D:2C - type=0x0800 - length=60
-      - nb_segs=1 - FDIR hash=0x43c - FDIR id=0x14
-      PKT_RX_PKT_RX_FDIR
-      PKT_RX_IP_CKSUM
-      PKT_RX_IPV4_HDR
-
-
 Test case: FDir signature matching mode
 =======================================
 